<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.6.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <property name="now" value="now()" dbms="h2"/>
    
    <!--
        Added the entity Produit.
    -->
    <changeSet id="20191004235108-1" author="jhipster">
        <createTable tableName="produit">
            <column name="id" type="bigint" autoIncrement="${autoIncrement}">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="designation" type="varchar(255)">
                <constraints nullable="false" />
            </column>

            <column name="actif" type="boolean">
                <constraints nullable="true" />
            </column>

            <column name="rayon_id" type="bigint">
                <constraints nullable="true" />
            </column>

            <column name="categorie_id" type="bigint">
                <constraints nullable="true" />
            </column>

            <column name="laboratoire_id" type="bigint">
                <constraints nullable="true" />
            </column>

            <column name="grossiste_id" type="bigint">
                <constraints nullable="true" />
            </column>
            <column name="stock_id" type="bigint">
                <constraints unique="true" nullable="true" uniqueConstraintName="ux_produit_stock_id" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here, do not remove-->
        </createTable>

    </changeSet>

    <changeSet id="20191004235108-1-relations" author="jhipster">

    </changeSet>
    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here, do not remove-->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20191004235108-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/produit.csv"
                  separator=";"
                  tableName="produit">
            <column name="id" type="numeric"/>
            <column name="designation" type="string"/>
            <column name="actif" type="boolean"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here, do not remove-->
        </loadData>
    </changeSet>

</databaseChangeLog>
